#!/bin/bash

#### Back Wp Site
#### 临时服务器自动备份站点数据库和已经打包项目文件到指定目录
#### Author: chenpeiqing
#### Date: 2024-11-18
#### Usage: sh back_template.sh [SITE_CODE]
#### 示例： sh back_template 2408210vakv9

# 检查是否提供了一个参数
if [ -z "$1" ]; then
  echo "Usage: $0 <site code>"
  exit 1
fi

DEST_DIR="/home/ec2-user/template_temp"
SOURCE_DIR="/var/www/"
DB_NAME="$1"
DB_USER="root"
DB_PASSWORD="UXG2YHf8YbrQTvFJKej7CnhLfGEWB44B"
DATE=$(date +"%Y%m%d%H%M%S")

# 打包源目录
TAR_FILE="$DEST_DIR/$1.tar.gz"
cd $SOURCE_DIR;

tar -czf $TAR_FILE $1

# 导出数据库
DB_DUMP_FILE="$DEST_DIR/$1.sql"
mysqldump -u "$DB_USER" -p"$DB_PASSWORD" "$DB_NAME" > "$DB_DUMP_FILE"

# 检查打包和数据库导出是否成功
if [ $? -eq 0 ]; then
  echo "Directory packed to $TAR_FILE"
  echo "Database dumped to $DB_DUMP_FILE"
else
  echo "An error occurred during packaging or database export"
  exit 1
fi
